import { AggregateRoot, UniqueID } from "@/core/common/domain";
import { Result } from "@repo/rdx-utils";

export type IRoleProps = {};

export type IRole = {};

export class Role extends AggregateRoot<IRoleProps> implements IRole {
  static create(props: IRoleProps, id: UniqueID): Result<Role, Error> {
    const role = new Role(props, id);
    return Result.ok(role);
  }

  toPersistenceData(): any {}
}
